in vec4		atrRectWeights;
in vec4		atrRectPositionBounds;	//	(left, right, bottom, top)
in vec4		atrRectTexCoordBounds;	//	(left, right, bottom, top)
in vec4		atrRectColorHSBounds;	//	(left, right, bottom, top)
in vec4		atrRectColorLABounds;	//	(left, right, bottom, top)

out vec2	varTextureCoordinates;
out vec4	varColorHSLA;


void main()
{
	gl_Position				= vec4(	dot(atrRectWeights.xy, atrRectPositionBounds.xy),
									dot(atrRectWeights.zw, atrRectPositionBounds.zw),
									0.0,
									1.0);

	varTextureCoordinates	= vec2(	dot(atrRectWeights.xy, atrRectTexCoordBounds.xy),
									dot(atrRectWeights.zw, atrRectTexCoordBounds.zw));

	varColorHSLA			= vec4(	dot(atrRectWeights.xy, atrRectColorHSBounds.xy),
									dot(atrRectWeights.zw, atrRectColorHSBounds.zw),
									dot(atrRectWeights.xy, atrRectColorLABounds.xy),
									dot(atrRectWeights.zw, atrRectColorLABounds.zw));
}
