uniform sampler2D	uniTexture;

in vec2				varTextureCoordinates;
in float			varDiffuseFactor,
					varSpecularFactor;


void main()
{
	vec4	tmpTexelColor;

	tmpTexelColor	= texture(uniTexture, varTextureCoordinates);
	gl_FragColor	= vec4(	varDiffuseFactor*tmpTexelColor.r + varSpecularFactor*tmpTexelColor.a,
							varDiffuseFactor*tmpTexelColor.g + varSpecularFactor*tmpTexelColor.a,
							varDiffuseFactor*tmpTexelColor.b + varSpecularFactor*tmpTexelColor.a,
							                 tmpTexelColor.a + varSpecularFactor*tmpTexelColor.a);
}
